package nl.sbdeveloper.themeparkplus.api.objects;

import lombok.*;

import java.time.LocalDateTime;
import java.util.UUID;

@Getter @NoArgsConstructor
public class MalfunctionReport {
    @Getter private String rideID;
    @Getter private UUID reporterUUID;
    @Getter private final LocalDateTime reportDate = LocalDateTime.now();
    @Getter @Setter private String reason = "Unknown";

    public MalfunctionReport(String rideID, UUID reporterUUID) {
        this.rideID = rideID;
        this.reporterUUID = reporterUUID;
    }
}
